## agingtv

agingtv

## Properties

gboolean | color-aging | Read / Write
gboolean | dusts | Read / Write
gboolean | pits | Read / Write
guint | scratch-lines | Read / Write

## Types and Values

struct | GstAgingTV

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstVideoFilter
                            ╰── GstAgingTV

## Description

AgingTV ages a video stream in realtime, changes the colors and adds scratches and dust.

### Example launch line

    1

    gst-launch-1.0 -v videotestsrc ! agingtv ! videoconvert ! autovideosink

This pipeline shows the effect of agingtv on a test stream.

## Synopsis

### Element Information

plugin | effectv
author | Sam Lantinga <slouken@devolution.com>
class | Filter/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string){ BGRx, RGBx }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string){ BGRx, RGBx }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstAgingTV

    struct GstAgingTV;

## Property Details

### The `“color-aging”` property

      “color-aging”              gboolean

Color Aging.

Owner: GstAgingTV

Flags: Read / Write

Default value: TRUE

### The `“dusts”` property

      “dusts”                    gboolean

Dusts.

Owner: GstAgingTV

Flags: Read / Write

Default value: TRUE

### The `“pits”` property

      “pits”                     gboolean

Pits.

Owner: GstAgingTV

Flags: Read / Write

Default value: TRUE

### The `“scratch-lines”` property

      “scratch-lines”            guint

Number of scratch lines.

Owner: GstAgingTV

Flags: Read / Write

Allowed values: <= 20

Default value: 7